window.Gleam.initSearch([{"doc":"midas_sdk","title":"midas_sdk","content":"# midas_sdk\n\n[![Package Version](https://img.shields.io/hexpm/v/midas_sdk)](https://hex.pm/packages/midas_sdk)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/midas_sdk/)\n\nA set of SDK&#39;s for building tasks with midas.\nNote this is not meant to be an exhaustive set for any given usecase.\nInstead if functions as quick implemetations of scripts and automations,\nthis is the usecase midas wants to champion using Gleam for.\nThis package can also be used as examples for how to implement sdk&#39;s that work with midas.\n\n```sh\ngleam add midas_sdk@1\n```\n```gleam\nimport midas_sdk\n\npub fn main() {\n  // TODO: An example of the project in use\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/midas_sdk&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"midas/sdk/accu_weather/forecast","title":"DailyForecast","content":"pub type DailyForecast {\n  DailyForecast(\n    date: String,\n    sunrise: String,\n    sunset: String,\n    minimum_temperature: Float,\n    maximum_temperature: Float,\n    day: Detail,\n    night: Detail,\n  )\n}\n\nDailyForecast(\n  date: String,\n  sunrise: String,\n  sunset: String,\n  minimum_temperature: Float,\n  maximum_temperature: Float,\n  day: Detail,\n  night: Detail,\n)\n\n\nSynonyms:\nmidas/sdk/accu_weather/forecast.DailyForecast\nmidas/sdk/accu_weather/forecast DailyForecast","url":"midas/sdk/accu_weather/forecast.html#DailyForecast"},{"doc":"midas/sdk/accu_weather/forecast","title":"Detail","content":"pub type Detail {\n  Detail(\n    precipitation_probability: Int,\n    wind_speed: Float,\n    wind_direction: String,\n  )\n}\n\nDetail(\n  precipitation_probability: Int,\n  wind_speed: Float,\n  wind_direction: String,\n)\n\n\nSynonyms:\nmidas/sdk/accu_weather/forecast.Detail\nmidas/sdk/accu_weather/forecast Detail","url":"midas/sdk/accu_weather/forecast.html#Detail"},{"doc":"midas/sdk/accu_weather/forecast","title":"daily_forcast_decoder","content":"pub fn daily_forcast_decoder(\n  raw: Dynamic,\n) -&gt; Result(DailyForecast, List(DecodeError))\n\nSynonyms:\nmidas/sdk/accu_weather/forecast.daily_forcast_decoder\nmidas/sdk/accu_weather/forecast daily_forcast_decoder","url":"midas/sdk/accu_weather/forecast.html#daily_forcast_decoder"},{"doc":"midas/sdk/accu_weather/forecast","title":"five_day_forecast","content":"pub fn five_day_forecast(\n  api_key: String,\n  location: String,\n) -&gt; Effect(List(DailyForecast))\n\nSynonyms:\nmidas/sdk/accu_weather/forecast.five_day_forecast\nmidas/sdk/accu_weather/forecast five_day_forecast","url":"midas/sdk/accu_weather/forecast.html#five_day_forecast"},{"doc":"midas/sdk/accu_weather/forecast","title":"five_day_forecast_request","content":"pub fn five_day_forecast_request(\n  api_key: String,\n  location: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/accu_weather/forecast.five_day_forecast_request\nmidas/sdk/accu_weather/forecast five_day_forecast_request","url":"midas/sdk/accu_weather/forecast.html#five_day_forecast_request"},{"doc":"midas/sdk/accu_weather/forecast","title":"five_day_forecast_response","content":"pub fn five_day_forecast_response(\n  response: Response(BitArray),\n) -&gt; Result(List(DailyForecast), Snag)\n\nSynonyms:\nmidas/sdk/accu_weather/forecast.five_day_forecast_response\nmidas/sdk/accu_weather/forecast five_day_forecast_response","url":"midas/sdk/accu_weather/forecast.html#five_day_forecast_response"},{"doc":"midas/sdk/accu_weather/forecast","title":"midas/sdk/accu_weather/forecast","content":"","url":"midas/sdk/accu_weather/forecast.html"},{"doc":"midas/sdk/accu_weather/location","title":"stockholm","content":"pub const stockholm: String\n\nSynonyms:\nmidas/sdk/accu_weather/location.stockholm\nmidas/sdk/accu_weather/location stockholm","url":"midas/sdk/accu_weather/location.html#stockholm"},{"doc":"midas/sdk/accu_weather/location","title":"midas/sdk/accu_weather/location","content":"","url":"midas/sdk/accu_weather/location.html"},{"doc":"midas/sdk/dnsimple","title":"App","content":"pub type App {\n  App(\n    client_id: String,\n    client_secret: String,\n    redirect_uri: String,\n  )\n}\n\nApp(\n  client_id: String,\n  client_secret: String,\n  redirect_uri: String,\n)\n\n\nSynonyms:\nmidas/sdk/dnsimple.App\nmidas/sdk/dnsimple App","url":"midas/sdk/dnsimple.html#App"},{"doc":"midas/sdk/dnsimple","title":"Domain","content":"pub type Domain {\n  Domain(id: Int, name: String)\n}\n\nDomain(id: Int, name: String)\n\n\nSynonyms:\nmidas/sdk/dnsimple.Domain\nmidas/sdk/dnsimple Domain","url":"midas/sdk/dnsimple.html#Domain"},{"doc":"midas/sdk/dnsimple","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String), String)\n\nSynonyms:\nmidas/sdk/dnsimple.auth_redirect\nmidas/sdk/dnsimple auth_redirect","url":"midas/sdk/dnsimple.html#auth_redirect"},{"doc":"midas/sdk/dnsimple","title":"authenticate","content":"pub fn authenticate(app: App) -&gt; Effect(#(String, Int))\n\nSynonyms:\nmidas/sdk/dnsimple.authenticate\nmidas/sdk/dnsimple authenticate","url":"midas/sdk/dnsimple.html#authenticate"},{"doc":"midas/sdk/dnsimple","title":"list_domains","content":"pub fn list_domains(\n  token: String,\n  account: Int,\n) -&gt; Effect(List(Domain))\n\nSynonyms:\nmidas/sdk/dnsimple.list_domains\nmidas/sdk/dnsimple list_domains","url":"midas/sdk/dnsimple.html#list_domains"},{"doc":"midas/sdk/dnsimple","title":"list_domains_request","content":"pub fn list_domains_request(\n  token: String,\n  account: Int,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/dnsimple.list_domains_request\nmidas/sdk/dnsimple list_domains_request","url":"midas/sdk/dnsimple.html#list_domains_request"},{"doc":"midas/sdk/dnsimple","title":"list_domains_response","content":"pub fn list_domains_response(\n  response: Response(BitArray),\n) -&gt; Result(List(Domain), Snag)\n\nSynonyms:\nmidas/sdk/dnsimple.list_domains_response\nmidas/sdk/dnsimple list_domains_response","url":"midas/sdk/dnsimple.html#list_domains_response"},{"doc":"midas/sdk/dnsimple","title":"token_request","content":"pub fn token_request(\n  client_id: String,\n  client_secret: String,\n  redirect_uri: String,\n  code: String,\n  state: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/dnsimple.token_request\nmidas/sdk/dnsimple token_request","url":"midas/sdk/dnsimple.html#token_request"},{"doc":"midas/sdk/dnsimple","title":"token_response","content":"pub fn token_response(\n  response: Response(BitArray),\n) -&gt; Result(#(String, Int), a)\n\nSynonyms:\nmidas/sdk/dnsimple.token_response\nmidas/sdk/dnsimple token_response","url":"midas/sdk/dnsimple.html#token_response"},{"doc":"midas/sdk/dnsimple","title":"midas/sdk/dnsimple","content":"","url":"midas/sdk/dnsimple.html"},{"doc":"midas/sdk/google","title":"App","content":"pub type App {\n  App(client_id: String, redirect_uri: String)\n}\n\nApp(client_id: String, redirect_uri: String)\n\n\nSynonyms:\nmidas/sdk/google.App\nmidas/sdk/google App","url":"midas/sdk/google.html#App"},{"doc":"midas/sdk/google","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String, String), String)\n\nSynonyms:\nmidas/sdk/google.auth_redirect\nmidas/sdk/google auth_redirect","url":"midas/sdk/google.html#auth_redirect"},{"doc":"midas/sdk/google","title":"authenticate","content":"pub fn authenticate(\n  app: App,\n  scopes: List(String),\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/google.authenticate\nmidas/sdk/google authenticate","url":"midas/sdk/google.html#authenticate"},{"doc":"midas/sdk/google","title":"userinfo","content":"pub fn userinfo(token: String) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/google.userinfo\nmidas/sdk/google userinfo","url":"midas/sdk/google.html#userinfo"},{"doc":"midas/sdk/google","title":"userinfo_request","content":"pub fn userinfo_request(token: String) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/google.userinfo_request\nmidas/sdk/google userinfo_request","url":"midas/sdk/google.html#userinfo_request"},{"doc":"midas/sdk/google","title":"userinfo_response","content":"pub fn userinfo_response(\n  response: Response(BitArray),\n) -&gt; Result(String, Snag)\n\nSynonyms:\nmidas/sdk/google.userinfo_response\nmidas/sdk/google userinfo_response","url":"midas/sdk/google.html#userinfo_response"},{"doc":"midas/sdk/google","title":"midas/sdk/google","content":"","url":"midas/sdk/google.html"},{"doc":"midas/sdk/google/calendar","title":"DateOrDatetime","content":"pub type DateOrDatetime {\n  Date(String)\n  Datetime(String)\n}\n\nDate(String)\n\n\nDatetime(String)\n\n\nSynonyms:\nmidas/sdk/google/calendar.DateOrDatetime\nmidas/sdk/google/calendar DateOrDatetime","url":"midas/sdk/google/calendar.html#DateOrDatetime"},{"doc":"midas/sdk/google/calendar","title":"Event","content":"pub type Event {\n  Event(\n    summary: String,\n    location: Option(String),\n    start: DateOrDatetime,\n    end: DateOrDatetime,\n  )\n}\n\nEvent(\n  summary: String,\n  location: Option(String),\n  start: DateOrDatetime,\n  end: DateOrDatetime,\n)\n\n\nSynonyms:\nmidas/sdk/google/calendar.Event\nmidas/sdk/google/calendar Event","url":"midas/sdk/google/calendar.html#Event"},{"doc":"midas/sdk/google/calendar","title":"date_or_datetime_decoder","content":"pub fn date_or_datetime_decoder(\n  raw: Dynamic,\n) -&gt; Result(DateOrDatetime, List(DecodeError))\n\nSynonyms:\nmidas/sdk/google/calendar.date_or_datetime_decoder\nmidas/sdk/google/calendar date_or_datetime_decoder","url":"midas/sdk/google/calendar.html#date_or_datetime_decoder"},{"doc":"midas/sdk/google/calendar","title":"event_decoder","content":"pub fn event_decoder(\n  raw: Dynamic,\n) -&gt; Result(Event, List(DecodeError))\n\nSynonyms:\nmidas/sdk/google/calendar.event_decoder\nmidas/sdk/google/calendar event_decoder","url":"midas/sdk/google/calendar.html#event_decoder"},{"doc":"midas/sdk/google/calendar","title":"list_events","content":"pub fn list_events(\n  token: String,\n  calendar_id: String,\n  time_min: String,\n) -&gt; Effect(List(Event))\n\nSynonyms:\nmidas/sdk/google/calendar.list_events\nmidas/sdk/google/calendar list_events","url":"midas/sdk/google/calendar.html#list_events"},{"doc":"midas/sdk/google/calendar","title":"list_events_request","content":"pub fn list_events_request(\n  token: String,\n  calendar_id: String,\n  time_min: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/google/calendar.list_events_request\nmidas/sdk/google/calendar list_events_request","url":"midas/sdk/google/calendar.html#list_events_request"},{"doc":"midas/sdk/google/calendar","title":"list_events_response","content":"pub fn list_events_response(\n  response: Response(BitArray),\n) -&gt; Result(List(Event), Snag)\n\nSynonyms:\nmidas/sdk/google/calendar.list_events_response\nmidas/sdk/google/calendar list_events_response","url":"midas/sdk/google/calendar.html#list_events_response"},{"doc":"midas/sdk/google/calendar","title":"midas/sdk/google/calendar","content":"","url":"midas/sdk/google/calendar.html"},{"doc":"midas/sdk/google/gmail","title":"Message","content":"pub type Message {\n  Message(id: String, thread_id: String)\n}\n\nMessage(id: String, thread_id: String)\n\n\nSynonyms:\nmidas/sdk/google/gmail.Message\nmidas/sdk/google/gmail Message","url":"midas/sdk/google/gmail.html#Message"},{"doc":"midas/sdk/google/gmail","title":"list_messages","content":"pub fn list_messages(\n  token: String,\n  user_id: String,\n) -&gt; Effect(List(Message))\n\nSynonyms:\nmidas/sdk/google/gmail.list_messages\nmidas/sdk/google/gmail list_messages","url":"midas/sdk/google/gmail.html#list_messages"},{"doc":"midas/sdk/google/gmail","title":"list_messages_request","content":"pub fn list_messages_request(\n  token: String,\n  user_id: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/google/gmail.list_messages_request\nmidas/sdk/google/gmail list_messages_request","url":"midas/sdk/google/gmail.html#list_messages_request"},{"doc":"midas/sdk/google/gmail","title":"list_messages_response","content":"pub fn list_messages_response(\n  response: Response(BitArray),\n) -&gt; Result(List(Message), Snag)\n\nSynonyms:\nmidas/sdk/google/gmail.list_messages_response\nmidas/sdk/google/gmail list_messages_response","url":"midas/sdk/google/gmail.html#list_messages_response"},{"doc":"midas/sdk/google/gmail","title":"send","content":"pub fn send(\n  token: String,\n  from: String,\n  to: String,\n  message: String,\n) -&gt; Effect(Message)\n\nSynonyms:\nmidas/sdk/google/gmail.send\nmidas/sdk/google/gmail send","url":"midas/sdk/google/gmail.html#send"},{"doc":"midas/sdk/google/gmail","title":"send_request","content":"pub fn send_request(\n  token: String,\n  from: String,\n  to: String,\n  message: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/google/gmail.send_request\nmidas/sdk/google/gmail send_request","url":"midas/sdk/google/gmail.html#send_request"},{"doc":"midas/sdk/google/gmail","title":"send_response","content":"pub fn send_response(\n  response: Response(BitArray),\n) -&gt; Result(Message, Snag)\n\nSynonyms:\nmidas/sdk/google/gmail.send_response\nmidas/sdk/google/gmail send_response","url":"midas/sdk/google/gmail.html#send_response"},{"doc":"midas/sdk/google/gmail","title":"midas/sdk/google/gmail","content":"","url":"midas/sdk/google/gmail.html"},{"doc":"midas/sdk/linkedin","title":"App","content":"pub type App {\n  App(\n    client_id: String,\n    client_secret: String,\n    redirect_uri: String,\n  )\n}\n\nApp(\n  client_id: String,\n  client_secret: String,\n  redirect_uri: String,\n)\n\n\nSynonyms:\nmidas/sdk/linkedin.App\nmidas/sdk/linkedin App","url":"midas/sdk/linkedin.html#App"},{"doc":"midas/sdk/linkedin","title":"Author","content":"pub type Author {\n  Person(id: String)\n  Organization(id: String)\n}\n\nPerson(id: String)\n\n\nOrganization(id: String)\n\n\nSynonyms:\nmidas/sdk/linkedin.Author\nmidas/sdk/linkedin Author","url":"midas/sdk/linkedin.html#Author"},{"doc":"midas/sdk/linkedin","title":"Content","content":"pub type Content {\n  Article(\n    description: Option(String),\n    source: String,\n    thumbnail: Option(Image),\n    thumbnail_alt_text: Option(String),\n    title: String,\n  )\n}\n\nArticle(\n  description: Option(String),\n  source: String,\n  thumbnail: Option(Image),\n  thumbnail_alt_text: Option(String),\n  title: String,\n)\n\n\nSynonyms:\nmidas/sdk/linkedin.Content\nmidas/sdk/linkedin Content","url":"midas/sdk/linkedin.html#Content"},{"doc":"midas/sdk/linkedin","title":"Image","content":"pub type Image {\n  Image(id: String)\n}\n\nImage(id: String)\n\n\nSynonyms:\nmidas/sdk/linkedin.Image\nmidas/sdk/linkedin Image","url":"midas/sdk/linkedin.html#Image"},{"doc":"midas/sdk/linkedin","title":"InitializeImageUpload","content":"pub type InitializeImageUpload {\n  InitializeImageUpload(\n    upload_url_expires_at: Int,\n    upload_url: String,\n    image: String,\n  )\n}\n\nInitializeImageUpload(\n  upload_url_expires_at: Int,\n  upload_url: String,\n  image: String,\n)\n\n\nSynonyms:\nmidas/sdk/linkedin.InitializeImageUpload\nmidas/sdk/linkedin InitializeImageUpload","url":"midas/sdk/linkedin.html#InitializeImageUpload"},{"doc":"midas/sdk/linkedin","title":"Share","content":"pub type Share {\n  Share(id: String)\n}\n\nShare(id: String)\n\n\nSynonyms:\nmidas/sdk/linkedin.Share\nmidas/sdk/linkedin Share","url":"midas/sdk/linkedin.html#Share"},{"doc":"midas/sdk/linkedin","title":"Userinfo","content":"pub type Userinfo {\n  Userinfo(sub: String)\n}\n\nUserinfo(sub: String)\n\n\nSynonyms:\nmidas/sdk/linkedin.Userinfo\nmidas/sdk/linkedin Userinfo","url":"midas/sdk/linkedin.html#Userinfo"},{"doc":"midas/sdk/linkedin","title":"Visability","content":"pub type Visability {\n  Connections\n  Public\n  LoggedIn\n  Container\n}\n\nConnections\n\n\nPublic\n\n\nLoggedIn\n\n\nContainer\n\n\nSynonyms:\nmidas/sdk/linkedin.Visability\nmidas/sdk/linkedin Visability","url":"midas/sdk/linkedin.html#Visability"},{"doc":"midas/sdk/linkedin","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String), String)\n\nSynonyms:\nmidas/sdk/linkedin.auth_redirect\nmidas/sdk/linkedin auth_redirect","url":"midas/sdk/linkedin.html#auth_redirect"},{"doc":"midas/sdk/linkedin","title":"authenticate","content":"pub fn authenticate(\n  app: App,\n  scopes: List(String),\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/linkedin.authenticate\nmidas/sdk/linkedin authenticate","url":"midas/sdk/linkedin.html#authenticate"},{"doc":"midas/sdk/linkedin","title":"author_to_urn","content":"pub fn author_to_urn(author: Author) -&gt; String\n\nSynonyms:\nmidas/sdk/linkedin.author_to_urn\nmidas/sdk/linkedin author_to_urn","url":"midas/sdk/linkedin.html#author_to_urn"},{"doc":"midas/sdk/linkedin","title":"content_to_json","content":"pub fn content_to_json(content: Content) -&gt; Json\n\nSynonyms:\nmidas/sdk/linkedin.content_to_json\nmidas/sdk/linkedin content_to_json","url":"midas/sdk/linkedin.html#content_to_json"},{"doc":"midas/sdk/linkedin","title":"create_post","content":"pub fn create_post(\n  token: String,\n  user_id: Author,\n  content: Option(Content),\n  commentary: String,\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/linkedin.create_post\nmidas/sdk/linkedin create_post","url":"midas/sdk/linkedin.html#create_post"},{"doc":"midas/sdk/linkedin","title":"create_post_request","content":"pub fn create_post_request(\n  token: String,\n  author: Author,\n  content: Option(Content),\n  commentary: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/linkedin.create_post_request\nmidas/sdk/linkedin create_post_request","url":"midas/sdk/linkedin.html#create_post_request"},{"doc":"midas/sdk/linkedin","title":"create_post_response","content":"pub fn create_post_response(\n  response: Response(BitArray),\n) -&gt; Result(String, Snag)\n\nSynonyms:\nmidas/sdk/linkedin.create_post_response\nmidas/sdk/linkedin create_post_response","url":"midas/sdk/linkedin.html#create_post_response"},{"doc":"midas/sdk/linkedin","title":"get_post","content":"pub fn get_post(\n  token: String,\n  share: Share,\n) -&gt; Effect(Response(BitArray))\n\nSynonyms:\nmidas/sdk/linkedin.get_post\nmidas/sdk/linkedin get_post","url":"midas/sdk/linkedin.html#get_post"},{"doc":"midas/sdk/linkedin","title":"get_post_request","content":"pub fn get_post_request(\n  token: String,\n  share: Share,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/linkedin.get_post_request\nmidas/sdk/linkedin get_post_request","url":"midas/sdk/linkedin.html#get_post_request"},{"doc":"midas/sdk/linkedin","title":"get_posts","content":"pub fn get_posts(\n  token: String,\n  author: Author,\n) -&gt; Effect(Response(BitArray))\n\nSynonyms:\nmidas/sdk/linkedin.get_posts\nmidas/sdk/linkedin get_posts","url":"midas/sdk/linkedin.html#get_posts"},{"doc":"midas/sdk/linkedin","title":"get_posts_request","content":"pub fn get_posts_request(\n  token: String,\n  author: Author,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/linkedin.get_posts_request\nmidas/sdk/linkedin get_posts_request","url":"midas/sdk/linkedin.html#get_posts_request"},{"doc":"midas/sdk/linkedin","title":"image_to_urn","content":"pub fn image_to_urn(image: Image) -&gt; String\n\nSynonyms:\nmidas/sdk/linkedin.image_to_urn\nmidas/sdk/linkedin image_to_urn","url":"midas/sdk/linkedin.html#image_to_urn"},{"doc":"midas/sdk/linkedin","title":"initialize_image_upload","content":"pub fn initialize_image_upload(\n  token: String,\n  owner: Author,\n) -&gt; Effect(InitializeImageUpload)\n\nSynonyms:\nmidas/sdk/linkedin.initialize_image_upload\nmidas/sdk/linkedin initialize_image_upload","url":"midas/sdk/linkedin.html#initialize_image_upload"},{"doc":"midas/sdk/linkedin","title":"initialize_image_upload_decoder","content":"pub fn initialize_image_upload_decoder(\n  raw: Dynamic,\n) -&gt; Result(InitializeImageUpload, List(DecodeError))\n\nSynonyms:\nmidas/sdk/linkedin.initialize_image_upload_decoder\nmidas/sdk/linkedin initialize_image_upload_decoder","url":"midas/sdk/linkedin.html#initialize_image_upload_decoder"},{"doc":"midas/sdk/linkedin","title":"initialize_image_upload_request","content":"pub fn initialize_image_upload_request(\n  token: String,\n  owner: Author,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/linkedin.initialize_image_upload_request\nmidas/sdk/linkedin initialize_image_upload_request","url":"midas/sdk/linkedin.html#initialize_image_upload_request"},{"doc":"midas/sdk/linkedin","title":"initialize_image_upload_response","content":"pub fn initialize_image_upload_response(\n  response: Response(BitArray),\n) -&gt; Result(InitializeImageUpload, Snag)\n\nSynonyms:\nmidas/sdk/linkedin.initialize_image_upload_response\nmidas/sdk/linkedin initialize_image_upload_response","url":"midas/sdk/linkedin.html#initialize_image_upload_response"},{"doc":"midas/sdk/linkedin","title":"token_request","content":"pub fn token_request(\n  client_id: String,\n  redirect_uri: String,\n  client_secret: String,\n  code: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/linkedin.token_request\nmidas/sdk/linkedin token_request","url":"midas/sdk/linkedin.html#token_request"},{"doc":"midas/sdk/linkedin","title":"token_response","content":"pub fn token_response(\n  response: Response(BitArray),\n) -&gt; Result(String, a)\n\nSynonyms:\nmidas/sdk/linkedin.token_response\nmidas/sdk/linkedin token_response","url":"midas/sdk/linkedin.html#token_response"},{"doc":"midas/sdk/linkedin","title":"upload_image","content":"pub fn upload_image(\n  token: String,\n  owner: Author,\n  bits: BitArray,\n) -&gt; Effect(Image)\n\nSynonyms:\nmidas/sdk/linkedin.upload_image\nmidas/sdk/linkedin upload_image","url":"midas/sdk/linkedin.html#upload_image"},{"doc":"midas/sdk/linkedin","title":"userinfo","content":"pub fn userinfo(token: String) -&gt; Effect(Userinfo)\n\nSynonyms:\nmidas/sdk/linkedin.userinfo\nmidas/sdk/linkedin userinfo","url":"midas/sdk/linkedin.html#userinfo"},{"doc":"midas/sdk/linkedin","title":"userinfo_request","content":"pub fn userinfo_request(token: String) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/linkedin.userinfo_request\nmidas/sdk/linkedin userinfo_request","url":"midas/sdk/linkedin.html#userinfo_request"},{"doc":"midas/sdk/linkedin","title":"userinfo_response","content":"pub fn userinfo_response(\n  response: Response(BitArray),\n) -&gt; Result(Userinfo, Snag)\n\nSynonyms:\nmidas/sdk/linkedin.userinfo_response\nmidas/sdk/linkedin userinfo_response","url":"midas/sdk/linkedin.html#userinfo_response"},{"doc":"midas/sdk/linkedin","title":"visability_to_string","content":"pub fn visability_to_string(visability: Visability) -&gt; String\n\nSynonyms:\nmidas/sdk/linkedin.visability_to_string\nmidas/sdk/linkedin visability_to_string","url":"midas/sdk/linkedin.html#visability_to_string"},{"doc":"midas/sdk/linkedin","title":"midas/sdk/linkedin","content":"","url":"midas/sdk/linkedin.html"},{"doc":"midas/sdk/netlify","title":"App","content":"pub type App {\n  App(client_id: String, redirect_uri: String)\n}\n\nApp(client_id: String, redirect_uri: String)\n\n\nSynonyms:\nmidas/sdk/netlify.App\nmidas/sdk/netlify App","url":"midas/sdk/netlify.html#App"},{"doc":"midas/sdk/netlify","title":"Site","content":"pub type Site {\n  Site(id: String, state: String, name: String, url: String)\n}\n\nSite(id: String, state: String, name: String, url: String)\n\n\nSynonyms:\nmidas/sdk/netlify.Site\nmidas/sdk/netlify Site","url":"midas/sdk/netlify.html#Site"},{"doc":"midas/sdk/netlify","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String, String), String)\n\nSynonyms:\nmidas/sdk/netlify.auth_redirect\nmidas/sdk/netlify auth_redirect","url":"midas/sdk/netlify.html#auth_redirect"},{"doc":"midas/sdk/netlify","title":"authenticate","content":"pub fn authenticate(app: App) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/netlify.authenticate\nmidas/sdk/netlify authenticate","url":"midas/sdk/netlify.html#authenticate"},{"doc":"midas/sdk/netlify","title":"deploy_site","content":"pub fn deploy_site(\n  token: String,\n  site_id: String,\n  files: List(#(String, BitArray)),\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/netlify.deploy_site\nmidas/sdk/netlify deploy_site","url":"midas/sdk/netlify.html#deploy_site"},{"doc":"midas/sdk/netlify","title":"list_sites","content":"pub fn list_sites(token: String) -&gt; Effect(List(Site))\n\nSynonyms:\nmidas/sdk/netlify.list_sites\nmidas/sdk/netlify list_sites","url":"midas/sdk/netlify.html#list_sites"},{"doc":"midas/sdk/netlify","title":"list_sites_request","content":"pub fn list_sites_request(token: String) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/netlify.list_sites_request\nmidas/sdk/netlify list_sites_request","url":"midas/sdk/netlify.html#list_sites_request"},{"doc":"midas/sdk/netlify","title":"list_sites_response","content":"pub fn list_sites_response(\n  response: Response(BitArray),\n) -&gt; Result(List(Site), Snag)\n\nSynonyms:\nmidas/sdk/netlify.list_sites_response\nmidas/sdk/netlify list_sites_response","url":"midas/sdk/netlify.html#list_sites_response"},{"doc":"midas/sdk/netlify","title":"midas/sdk/netlify","content":"","url":"midas/sdk/netlify.html"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"BusDeparture","content":"pub type BusDeparture {\n  BusDeparture(\n    journey_direction: Int,\n    destination: String,\n    timetabled: String,\n    expected: String,\n    display: String,\n  )\n}\n\nBusDeparture(\n  journey_direction: Int,\n  destination: String,\n  timetabled: String,\n  expected: String,\n  display: String,\n)\n\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.BusDeparture\nmidas/sdk/trafiklab/realtidsinformation_4 BusDeparture","url":"midas/sdk/trafiklab/realtidsinformation_4.html#BusDeparture"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"eyvind_johnsons_gata","content":"pub const eyvind_johnsons_gata: String\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.eyvind_johnsons_gata\nmidas/sdk/trafiklab/realtidsinformation_4 eyvind_johnsons_gata","url":"midas/sdk/trafiklab/realtidsinformation_4.html#eyvind_johnsons_gata"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"moa_martinsons_torg","content":"pub const moa_martinsons_torg: String\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.moa_martinsons_torg\nmidas/sdk/trafiklab/realtidsinformation_4 moa_martinsons_torg","url":"midas/sdk/trafiklab/realtidsinformation_4.html#moa_martinsons_torg"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"bus_departure_decoder","content":"pub fn bus_departure_decoder(\n  raw: Dynamic,\n) -&gt; Result(BusDeparture, List(DecodeError))\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.bus_departure_decoder\nmidas/sdk/trafiklab/realtidsinformation_4 bus_departure_decoder","url":"midas/sdk/trafiklab/realtidsinformation_4.html#bus_departure_decoder"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"departures","content":"pub fn departures(\n  api_key: String,\n  site_id: String,\n  time_window: Int,\n) -&gt; Effect(List(BusDeparture))\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.departures\nmidas/sdk/trafiklab/realtidsinformation_4 departures","url":"midas/sdk/trafiklab/realtidsinformation_4.html#departures"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"departures_request","content":"pub fn departures_request(\n  api_key: String,\n  site_id: String,\n  time_window: Int,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.departures_request\nmidas/sdk/trafiklab/realtidsinformation_4 departures_request","url":"midas/sdk/trafiklab/realtidsinformation_4.html#departures_request"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"departures_response","content":"pub fn departures_response(\n  response: Response(BitArray),\n) -&gt; Result(List(BusDeparture), Snag)\n\nSynonyms:\nmidas/sdk/trafiklab/realtidsinformation_4.departures_response\nmidas/sdk/trafiklab/realtidsinformation_4 departures_response","url":"midas/sdk/trafiklab/realtidsinformation_4.html#departures_response"},{"doc":"midas/sdk/trafiklab/realtidsinformation_4","title":"midas/sdk/trafiklab/realtidsinformation_4","content":"","url":"midas/sdk/trafiklab/realtidsinformation_4.html"},{"doc":"midas/sdk/twitter","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String), String)\n\nSynonyms:\nmidas/sdk/twitter.auth_redirect\nmidas/sdk/twitter auth_redirect","url":"midas/sdk/twitter.html#auth_redirect"},{"doc":"midas/sdk/twitter","title":"auth_url","content":"pub fn auth_url(\n  client_id: String,\n  redirect_uri: String,\n  scopes: List(String),\n  state: String,\n  challenge: String,\n) -&gt; String\n\nSynonyms:\nmidas/sdk/twitter.auth_url\nmidas/sdk/twitter auth_url","url":"midas/sdk/twitter.html#auth_url"},{"doc":"midas/sdk/twitter","title":"authenticate","content":"pub fn authenticate(\n  client_id: String,\n  redirect_uri: String,\n  scopes: List(String),\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/twitter.authenticate\nmidas/sdk/twitter authenticate","url":"midas/sdk/twitter.html#authenticate"},{"doc":"midas/sdk/twitter","title":"create_tweet","content":"pub fn create_tweet(\n  token: String,\n  text: String,\n) -&gt; Effect(Response(BitArray))\n\nSynonyms:\nmidas/sdk/twitter.create_tweet\nmidas/sdk/twitter create_tweet","url":"midas/sdk/twitter.html#create_tweet"},{"doc":"midas/sdk/twitter","title":"create_tweet_request","content":"pub fn create_tweet_request(\n  token: String,\n  text: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/twitter.create_tweet_request\nmidas/sdk/twitter create_tweet_request","url":"midas/sdk/twitter.html#create_tweet_request"},{"doc":"midas/sdk/twitter","title":"token_request","content":"pub fn token_request(\n  client_id: String,\n  redirect_uri: String,\n  code_verifier: String,\n  code: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/twitter.token_request\nmidas/sdk/twitter token_request","url":"midas/sdk/twitter.html#token_request"},{"doc":"midas/sdk/twitter","title":"token_response","content":"pub fn token_response(\n  response: Response(BitArray),\n) -&gt; Result(String, a)\n\nSynonyms:\nmidas/sdk/twitter.token_response\nmidas/sdk/twitter token_response","url":"midas/sdk/twitter.html#token_response"},{"doc":"midas/sdk/twitter","title":"user_by_username","content":"pub fn user_by_username(\n  token: String,\n  username: String,\n) -&gt; Effect(Response(BitArray))\n\nSynonyms:\nmidas/sdk/twitter.user_by_username\nmidas/sdk/twitter user_by_username","url":"midas/sdk/twitter.html#user_by_username"},{"doc":"midas/sdk/twitter","title":"user_by_username_request","content":"pub fn user_by_username_request(\n  token: String,\n  username: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/twitter.user_by_username_request\nmidas/sdk/twitter user_by_username_request","url":"midas/sdk/twitter.html#user_by_username_request"},{"doc":"midas/sdk/twitter","title":"user_timeline","content":"pub fn user_timeline(\n  token: String,\n  user_id: String,\n) -&gt; Effect(Dynamic)\n\nSynonyms:\nmidas/sdk/twitter.user_timeline\nmidas/sdk/twitter user_timeline","url":"midas/sdk/twitter.html#user_timeline"},{"doc":"midas/sdk/twitter","title":"user_timeline_request","content":"pub fn user_timeline_request(\n  token: String,\n  user_id: String,\n) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/twitter.user_timeline_request\nmidas/sdk/twitter user_timeline_request","url":"midas/sdk/twitter.html#user_timeline_request"},{"doc":"midas/sdk/twitter","title":"user_timeline_response","content":"pub fn user_timeline_response(\n  response: Response(BitArray),\n) -&gt; Result(Dynamic, a)\n\nSynonyms:\nmidas/sdk/twitter.user_timeline_response\nmidas/sdk/twitter user_timeline_response","url":"midas/sdk/twitter.html#user_timeline_response"},{"doc":"midas/sdk/twitter","title":"midas/sdk/twitter","content":"","url":"midas/sdk/twitter.html"},{"doc":"midas/sdk/vimeo","title":"App","content":"pub type App {\n  App(client_id: String, redirect_uri: String)\n}\n\nApp(client_id: String, redirect_uri: String)\n\n\nSynonyms:\nmidas/sdk/vimeo.App\nmidas/sdk/vimeo App","url":"midas/sdk/vimeo.html#App"},{"doc":"midas/sdk/vimeo","title":"Video","content":"pub type Video {\n  Video(\n    name: String,\n    link: String,\n    duration: Int,\n    created_time: String,\n    plays: Int,\n    has_audio: Bool,\n  )\n}\n\nVideo(\n  name: String,\n  link: String,\n  duration: Int,\n  created_time: String,\n  plays: Int,\n  has_audio: Bool,\n)\n\n\nSynonyms:\nmidas/sdk/vimeo.Video\nmidas/sdk/vimeo Video","url":"midas/sdk/vimeo.html#Video"},{"doc":"midas/sdk/vimeo","title":"auth_redirect","content":"pub fn auth_redirect(\n  redirect: Uri,\n) -&gt; Result(#(String, String, String), String)\n\nSynonyms:\nmidas/sdk/vimeo.auth_redirect\nmidas/sdk/vimeo auth_redirect","url":"midas/sdk/vimeo.html#auth_redirect"},{"doc":"midas/sdk/vimeo","title":"authenticate","content":"pub fn authenticate(\n  app: App,\n  scopes: List(String),\n) -&gt; Effect(String)\n\nSynonyms:\nmidas/sdk/vimeo.authenticate\nmidas/sdk/vimeo authenticate","url":"midas/sdk/vimeo.html#authenticate"},{"doc":"midas/sdk/vimeo","title":"my_videos","content":"pub fn my_videos(token: String) -&gt; Effect(List(Video))\n\nSynonyms:\nmidas/sdk/vimeo.my_videos\nmidas/sdk/vimeo my_videos","url":"midas/sdk/vimeo.html#my_videos"},{"doc":"midas/sdk/vimeo","title":"my_videos_request","content":"pub fn my_videos_request(token: String) -&gt; Request(BitArray)\n\nSynonyms:\nmidas/sdk/vimeo.my_videos_request\nmidas/sdk/vimeo my_videos_request","url":"midas/sdk/vimeo.html#my_videos_request"},{"doc":"midas/sdk/vimeo","title":"my_videos_response","content":"pub fn my_videos_response(\n  response: Response(BitArray),\n) -&gt; Result(List(Video), Snag)\n\nSynonyms:\nmidas/sdk/vimeo.my_videos_response\nmidas/sdk/vimeo my_videos_response","url":"midas/sdk/vimeo.html#my_videos_response"},{"doc":"midas/sdk/vimeo","title":"video_decoder","content":"pub fn video_decoder(\n  data: Dynamic,\n) -&gt; Result(Video, List(DecodeError))\n\nSynonyms:\nmidas/sdk/vimeo.video_decoder\nmidas/sdk/vimeo video_decoder","url":"midas/sdk/vimeo.html#video_decoder"},{"doc":"midas/sdk/vimeo","title":"midas/sdk/vimeo","content":"","url":"midas/sdk/vimeo.html"}]);